*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: consolas;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #333;
}
.container{
    position: relative;
    min-width: 300px;
    min-height: 400px;
    background: #333;
    padding: 40px 30px 30px;
    box-shadow: 25px 25px 75px rgba(0,0,0,25),
    10px 10px 70px rgba(0,0,0,0.25),
    inset -5px -5px 15px rgba(0,0,0,0.5),
    inset 5px 5px 15px rgba(0,0,0,0.5);
}
.calculadora{
    position: relative;
    display: grid;
}
.calculadora .valor{
    position: relative;
    grid-column: span 4;
    height: 100px;
    left: 10px;
    width: calc(100% - 20px);
    border: none;
    outline:none;
    background: #a7af7c;
    margin-bottom: 10px;
    border-radius: 10px;
    box-shadow: 0 0 0 2px rgba(0,0,0,0.75);
    text-align: right;
    padding: 10px;
    font-size: 2em;
}

.calculadora span{
    position: relative;
    display: grid;
    place-items: center;
    width: 80px;
    height: 80px;
    margin: 8px;
    background: linear-gradient(180deg,#2f2f2f,#3f3f3f);
    box-shadow: inset -8px 0 8px rgba(0,0,0,0.15),
    inset 0 -8px 8px rgba(0,0,0,0.25),
    0 0 0 2px rgba(0,0,0,0.75),
    10px 20px 25px rgba(0,0,0,0.4);
    color: #fff;
    user-select: none;
    cursor: pointer;
    font-weight: 400;
    border-radius: 10px;
}
.calculadora span::before{
    content: '';
    position: absolute;
    top: 3px;
    left: 4px;
    bottom: 14px;
    right: 12px;
    background: linear-gradient(90deg,#2d2d2d,#4d4d4d);
    border-radius: 10px;
    box-shadow: -5px -5px 15px rgba(0,0,0,0.1);
    border-left: 1px solid #0004;
    border-bottom: 1px solid #0004;
    border-top: 1px solid #0009;
}
.calculadora span:active{
    filter: brightness(1.5);
}
.calculadora span i{
    position: relative;
    font-style: normal;
    font-size: 1.5em;
    text-transform: uppercase;
}
.calculadora .clear{
    grid-column: span 2;
    width: 180px;
    background: #f00;
}
.calculadora .clear::before{
    background: linear-gradient(90deg,#d20000,#ffffff5c);
    border-left: 1px solid #fff4;
    border-bottom: 1px solid #fff4;
    border-top: 1px solid #fff4;   
}

.calculadora .plus{
    grid-row: span 2;
    height: 180px;
}
.calculadora .equal{
    background: #2196f3;
}
.calculadora .equal::before{
    background: linear-gradient(90deg,#1479c9,#ffffff5c);
    border-left: 1px solid #fff4;
    border-bottom: 1px solid #fff4;
    border-top: 1px solid #fff4;   
}